<?php defined('_JEXEC') or die;

/**
 * File       hikashopupdateprice.php
 * Created    8/20/2015 8:12 PM
 * Author     Thomas Ellison | deuce4884@gmail.com | http://deucestudios.com
 * Copyright  Copyright (C) 2013 Deuce Studios. All Rights Reserved.
 * License    GNU GPL v3 or later
 */

// Import library dependencies
jimport('joomla.plugin.plugin');

class plgAjaxHikashopupdateprice extends JPlugin {

	function onAjaxHikashopupdateprice() {

		//Request variables
		$input = JFactory::getApplication()->input;
		$qty = $input->get->get('qty');
		$price_id = $input->get->get('price_id');
		
		// Get a db connection.
		$db = JFactory::getDbo();
		
		 // Create a new query object.
		$query = $db->getQuery(true);
		
		// Select product price associated with quantity
		$query
			->select('MIN(price_value)')
			->from($db->quoteName('#__hikashop_price'))
			->where($db->quoteName('price_product_id').' = '. $db->quote($price_id).' AND '.$db->quoteName('price_min_quantity').' <= '. $db->quote($qty));
		
		// Reset the query using our newly populated query object.
		$db->setQuery($query);
		
		// Load the results as a list of stdClass objects (see later for more options on retrieving data).
		$result = $db->loadResult();
		return $result;
		
	}
	
}